FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 05-28-2011, 12:48 PM
Luk Claes
 
Default Multiarch bootstrapping

Hi

Currently there are still some outstanding issues before we can really
start using multiarch. You can find the status at the wiki page [1].

It seems that the main blocker at the moment is bug #618288 in apt.

Please help to fix the outstanding bugs for the build tools (pmake,
freebsd-buildutils, cmake) and apt so we can start using multiarch!

Cheers

Luk

[1] http://wiki.debian.org/Multiarch/Bootstrapping


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE0EF35.70600@debian.org">http://lists.debian.org/4DE0EF35.70600@debian.org
 
Old 05-28-2011, 01:32 PM
David Kalnischkies
 
Default Multiarch bootstrapping

On Sat, May 28, 2011 at 14:48, Luk Claes <luk@debian.org> wrote:
> It seems that the main blocker at the moment is bug #618288 in apt.

Fixed in branch for a while, just not yet uploaded. [0]

But it can't be a blocker as dpkg doesn't has full support for multiarch
in unstable currently - and if you can't install foreign packages its pretty
unlikely that you will hit this bug.


Best regards

David Kalnischkies

[0] http://bzr.debian.org/scm/loggerhead/apt/debian-sid/revision/2114.1.38
(link doesn't work currently through)


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: BANLkTi=GV3y2mGtUwjoAZZiujsP-jDKOCw@mail.gmail.com">http://lists.debian.org/BANLkTi=GV3y2mGtUwjoAZZiujsP-jDKOCw@mail.gmail.com
 
Old 05-28-2011, 01:52 PM
Matthias Klose
 
Default Multiarch bootstrapping

On 05/28/2011 02:48 PM, Luk Claes wrote:

Currently there are still some outstanding issues before we can really
start using multiarch. You can find the status at the wiki page [1].



[1] http://wiki.debian.org/Multiarch/Bootstrapping


your changes here are wrong.
http://wiki.debian.org/Multiarch/Bootstrapping?action=diff&rev1=28&rev2=29
at least the eglibc and gcc-4.6 uploads didn't happen yet.


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE0FE2F.9070504@debian.org">http://lists.debian.org/4DE0FE2F.9070504@debian.org
 
Old 05-28-2011, 02:02 PM
Luk Claes
 
Default Multiarch bootstrapping

On 05/28/2011 03:52 PM, Matthias Klose wrote:
> On 05/28/2011 02:48 PM, Luk Claes wrote:
>> Currently there are still some outstanding issues before we can really
>> start using multiarch. You can find the status at the wiki page [1].
>
>> [1] http://wiki.debian.org/Multiarch/Bootstrapping
>
> your changes here are wrong.
> http://wiki.debian.org/Multiarch/Bootstrapping?action=diff&rev1=28&rev2=29
> at least the eglibc and gcc-4.6 uploads didn't happen yet.

Ok, please mention the bug numbers.

Thanks in advance.

Cheers

Luk


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE10058.40509@debian.org">http://lists.debian.org/4DE10058.40509@debian.org
 
Old 05-28-2011, 02:06 PM
Luk Claes
 
Default Multiarch bootstrapping

On 05/28/2011 03:32 PM, David Kalnischkies wrote:
> On Sat, May 28, 2011 at 14:48, Luk Claes <luk@debian.org> wrote:
>> It seems that the main blocker at the moment is bug #618288 in apt.
>
> Fixed in branch for a while, just not yet uploaded. [0]
>
> But it can't be a blocker as dpkg doesn't has full support for multiarch
> in unstable currently - and if you can't install foreign packages its pretty
> unlikely that you will hit this bug.

Can you please point me to the bug that still needs to be fixed in dpkg
to be able to install foreign packages?

Thanks in advance.

Cheers

Luk


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE10164.2030306@debian.org">http://lists.debian.org/4DE10164.2030306@debian.org
 
Old 05-28-2011, 06:46 PM
Raphael Hertzog
 
Default Multiarch bootstrapping

On Sat, 28 May 2011, Luk Claes wrote:
> On 05/28/2011 03:32 PM, David Kalnischkies wrote:
> > On Sat, May 28, 2011 at 14:48, Luk Claes <luk@debian.org> wrote:
> >> It seems that the main blocker at the moment is bug #618288 in apt.
> >
> > Fixed in branch for a while, just not yet uploaded. [0]
> >
> > But it can't be a blocker as dpkg doesn't has full support for multiarch
> > in unstable currently - and if you can't install foreign packages its pretty
> > unlikely that you will hit this bug.
>
> Can you please point me to the bug that still needs to be fixed in dpkg
> to be able to install foreign packages?

You can use this branch if you want to test the latest code:
git clone -b pu/multiarch/full git://git.debian.org/~hertzog/dpkg.git

What needs to happen is to merge the branch and for this Guillem must be
happy with it and thus he must review it and ask me to fix whatever he
doesn't like.

But I have been using it without troubles for several months (since end of
february) and it's been deployed in Ubuntu 11.04 where it's working fine
too.

Cheers,
--
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
▶ http://RaphaelHertzog.fr (Français)


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110528184608.GA14138@rivendell.home.ouaza.com">h ttp://lists.debian.org/20110528184608.GA14138@rivendell.home.ouaza.com
 
Old 05-29-2011, 12:19 PM
Juliusz Chroboczek
 
Default Multiarch bootstrapping

> Currently there are still some outstanding issues before we can really
> start using multiarch.

Is there anything upstream maintainers should be doing in order to help?
(Except writing makefiles that allow easy cross-compilation, of course.)

-- Juliusz
 
Old 05-29-2011, 03:02 PM
Andreas Metzler
 
Default Multiarch bootstrapping

Luk Claes <luk@debian.org> wrote:
> Currently there are still some outstanding issues before we can really
> start using multiarch. You can find the status at the wiki page [1].

> It seems that the main blocker at the moment is bug #618288 in apt.

> Please help to fix the outstanding bugs for the build tools (pmake,
> freebsd-buildutils, cmake) and apt so we can start using multiarch!
[...]

Just as a reminder: After the infrastructure is set up, multiarch
conversion will be blocked by packages shipping libtool files with
nonempty dependency_libs. - The libtool files contain absolute paths.

cu andreas


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: oo3ab8-vm3.ln1@argenau.downhill.at.eu.org">http://lists.debian.org/oo3ab8-vm3.ln1@argenau.downhill.at.eu.org
 
Old 05-29-2011, 03:21 PM
Luk Claes
 
Default Multiarch bootstrapping

On 05/29/2011 05:02 PM, Andreas Metzler wrote:
> Luk Claes <luk@debian.org> wrote:
>> Currently there are still some outstanding issues before we can really
>> start using multiarch. You can find the status at the wiki page [1].
>
>> It seems that the main blocker at the moment is bug #618288 in apt.
>
>> Please help to fix the outstanding bugs for the build tools (pmake,
>> freebsd-buildutils, cmake) and apt so we can start using multiarch!
> [...]
>
> Just as a reminder: After the infrastructure is set up, multiarch
> conversion will be blocked by packages shipping libtool files with
> nonempty dependency_libs. - The libtool files contain absolute paths.

Probably just a coincidence that I mailed debian-devel about nonempty
dependency_libs about a week ago ;-)

Cheers

Luk


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE26496.5050703@debian.org">http://lists.debian.org/4DE26496.5050703@debian.org
 
Old 05-30-2011, 01:10 AM
Steve Langasek
 
Default Multiarch bootstrapping

On Sat, May 28, 2011 at 04:06:28PM +0200, Luk Claes wrote:
> On 05/28/2011 03:32 PM, David Kalnischkies wrote:
> > On Sat, May 28, 2011 at 14:48, Luk Claes <luk@debian.org> wrote:
> >> It seems that the main blocker at the moment is bug #618288 in apt.

> > Fixed in branch for a while, just not yet uploaded. [0]

> > But it can't be a blocker as dpkg doesn't has full support for multiarch
> > in unstable currently - and if you can't install foreign packages its pretty
> > unlikely that you will hit this bug.

> Can you please point me to the bug that still needs to be fixed in dpkg
> to be able to install foreign packages?

dpkg cross-install support has not yet been merged into dpkg mainline at
all. We have a clear roadmap for modifying library packages that will let
them be usable in a multiarch context as soon as dpkg support is there, but
there's no bug report for dpkg since it's a pending feature merge.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
slangasek@ubuntu.com vorlon@debian.org
 

Thread Tools




All times are GMT. The time now is 07:05 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org